Skip to main content
GET
/
v1
/
jobs
List Jobs
curl --request GET \
  --url https://api.superdocs.app/v1/jobs \
  --header 'Authorization: Bearer <token>'
{
  "jobs": [
    {
      "job_id": "<string>",
      "session_id": "<string>",
      "job_type": "<string>",
      "status": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "progress": 123,
      "organization_id": "<string>",
      "user_id": "<string>",
      "result": {
        "response": "<string>",
        "session_id": "<string>",
        "document_changes": {
          "updated_html": "<string>",
          "version_id": "<string>",
          "changes_summary": "<string>",
          "requires_approval": true,
          "pending_changes": [
            {
              "change_id": "<string>",
              "operation": "<string>",
              "chunk_id": "<string>",
              "old_html": "<string>",
              "new_html": "<string>",
              "ai_explanation": "<string>"
            }
          ],
          "changes": [
            {}
          ]
        },
        "usage": {
          "monthly_used": 123,
          "monthly_limit": 123,
          "monthly_remaining": 123,
          "was_billable": true,
          "subscription_tier": "<string>"
        },
        "attachment_id": "<string>"
      },
      "error": "<string>",
      "metadata": {
        "filename": "<string>",
        "file_size": 123,
        "content_type": "<string>",
        "message": "<string>",
        "document_html_provided": true,
        "pending_changes": [
          {
            "change_id": "<string>",
            "operation": "<string>",
            "chunk_id": "<string>",
            "old_html": "<string>",
            "new_html": "<string>",
            "ai_explanation": "<string>"
          }
        ],
        "intermediate_responses": [
          {}
        ]
      }
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Query Parameters

status
string | null

Filter by job status

limit
integer
default:50

Maximum number of jobs to return

Response

Successful Response

List of async jobs.

jobs
JobResponse · object[]
required

Array of job details.

total
integer
required

Total number of jobs returned.